mcrypt extension is required

i use Centos6 . I want to install mcrypt . I try

yum install php-mcrypt and its installed. when i try again it says :

yum install php-mcrypt

Loaded plugins: fastestmirror, security Loading mirror speeds from cached hostfile

  • atomic:
  • base:
  • epel:
  • extras:
  • remi:
  • remi-php55:
  • remi-php56:
  • remi-test:
  • updates: Setting up Install Process Package php-mcrypt-5.6.0-0.6.beta1.el6.remi.x86_64 already installed and latest version Nothing to do but on my webpage :

mcrypt extension is required and on phpinfo it is not

How can i solve it?


Check the file /etc/php.d/mcrypt.ini, there should be this line:

and not this: